Bug 1455356 - knot: el7 release uses old config format
Summary: knot: el7 release uses old config format
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: knot
Version: epel7
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-24 22:12 UTC by Sam Edwards
Modified: 2017-08-18 01:20 UTC (History)
3 users (show)

Fixed In Version: knot-2.5.3-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-18 01:20:57 UTC


Attachments (Terms of Use)

Description Sam Edwards 2017-05-24 22:12:04 UTC
Description of problem:
It appears that the knot.conf file bundled into the el7 release was never updated for knot 2.x, thus on a fresh install, there is a completely broken config.

Version-Release number of selected component (if applicable): knot-2.4.1-2.el7.x86_64

How reproducible: Always

Steps to Reproduce:
1. Install knot-2.4.1-2.el7.x86_64
2. Run `knotc conf-check`

Actual results:
error: config, file '/etc/knot/knot.conf', line 5, item 'system', value '' (parser failed)
error: failed to load configuration file '/etc/knot/knot.conf' (parser failed)

Expected results:
Configuration is valid

Additional info:

Comment 1 Fedora Update System 2017-07-31 15:43:52 UTC
knot-2.5.3-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-37e736147d

Comment 2 Fedora Update System 2017-08-01 22:19:01 UTC
knot-2.5.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-37e736147d

Comment 3 Fedora Update System 2017-08-18 01:20:57 UTC
knot-2.5.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.